# List all Account objects

Returns a list of Accounts.

## Request

```curl
curl -G https://api.stripe.com/v2/core/accounts \
  -H "Authorization: Bearer <<YOUR_SECRET_KEY>>" \
  -H "Stripe-Version: 2025-06-30.preview" \
  -d limit=2 \
  -d applied_configurations=customer
```

### Response

```json
{
  "data": [
    {
      "id": "acct_1QP3oLBUFVXWiKFB",
      "object": "v2.core.account",
      "applied_configurations": [
        "customer"
      ],
      "contact_email": "jenny.rosen@example.com",
      "created": "2024-11-25T15:02:50.000Z",
      "display_name": "Jenny Rosen",
      "livemode": true,
      "metadata": {}
    },
    {
      "id": "acct_1QO24tPeVxUa6gV6",
      "object": "v2.core.account",
      "applied_configurations": [
        "recipient",
        "customer",
        "merchant"
      ],
      "contact_email": "jenny.rosen@example.com",
      "created": "2024-11-22T18:59:45.000Z",
      "dashboard": "none",
      "display_name": "Jenny Rosen 2",
      "livemode": true,
      "metadata": {
        "my_key": "my_value"
      }
    }
  ],
  "next_page_url": "/v2/core/accounts?page=page_5dr8SFDbv7rZ2aj4ZSGuf4J1Dv58yE0YM4BhBqb2tg94CD5PDoUA7RD2AE7VBEH5C0E0qGJi1wMFPf9MEBbh6M125&limit=2&applied_configurations=customer"
}
```

## Parameters

- `applied_configurations` (array of strings, optional)
  Filter only accounts that have all of the configurations specified. If omitted, returns all accounts regardless of which configurations they have.

- `limit` (integer, optional)
  The upper limit on the number of accounts returned by the List Account request.

- `page` (string, optional)
  The page token to navigate to next or previous batch of accounts given by the list request.

## Returns

## Response attributes

- [`data`](https://docs.stripe.com/api/v2/core/accounts/list.md?query=data) (array of objects)
  A list of retrieved Account objects.

- `next_page_url` (string, nullable)
  URL with page token to navigate to next batch of accounts given by the list request.

- `previous_page_url` (string, nullable)
  URL with page token to navigate to previous batch of accounts given by the list request.
